This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### floor()
Examples |
    float x = 2.88;
    int a = floor(x);  // Sets 'a' to 2
Description | Calculates the closest int value that is less than or equal to the value of the parameter.
Syntax |
    floor(n)
Parameters |
n | float: number to round down
Returns | int
Related | ceil() round()

Updated on October 26, 2013 08:58:30pm PDT